org.apache.ignite.internal.processors.cache.persistence.defragmentation

## Enum IgniteDefragmentation.CancelResult

- java.lang.Object
- - java.lang.Enum<IgniteDefragmentation.CancelResult>
  - - org.apache.ignite.internal.processors.cache.persistence.defragmentation.IgniteDefragmentation.CancelResult

All Implemented Interfaces:
  Serializable, Comparable<IgniteDefragmentation.CancelResult>

Enclosing interface:
  IgniteDefragmentation

    public static enum IgniteDefragmentation.CancelResult
    extends Enum<IgniteDefragmentation.CancelResult>

Result of the cancellation.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CANCELLED` Cancelled ongoing defragmentation.
`CANCELLED_SCHEDULED` Cancelled scheduled defragmentation.
`COMPLETED_OR_CANCELLED` Defragmentation is already completed or cancelled.
`SCHEDULED_NOT_FOUND` Nothing to cancel, no ongoing defragmentation.

### Method Summary

All Methods Static Methods Concrete Methods
`static IgniteDefragmentation.CancelResult` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IgniteDefragmentation.CancelResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CANCELLED_SCHEDULED

    public static final IgniteDefragmentation.CancelResult CANCELLED_SCHEDULED

Cancelled scheduled defragmentation.

#### SCHEDULED_NOT_FOUND

    public static final IgniteDefragmentation.CancelResult SCHEDULED_NOT_FOUND

Nothing to cancel, no ongoing defragmentation.

#### CANCELLED

    public static final IgniteDefragmentation.CancelResult CANCELLED

Cancelled ongoing defragmentation.

#### COMPLETED_OR_CANCELLED

    public static final IgniteDefragmentation.CancelResult COMPLETED_OR_CANCELLED

Defragmentation is already completed or cancelled.

### Method Detail

#### values

    public static IgniteDefragmentation.CancelResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IgniteDefragmentation.CancelResult c : IgniteDefragmentation.CancelResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IgniteDefragmentation.CancelResult valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022